
rdxsecta : dialog {
   label = "EzySurf - Sections" ;
 :boxed_row {
   : radio_button {
     key = "rdrurala";      
     label = "Rural";
     is_default = true;
   }
   : radio_button {
     key = "rdurbana";      
     label = "Urban";
     is_default = true;
   }
 }
    :boxed_column {
     : edit_box {
     label = "Vertical Scale";
     key = "xs5";
     edit_width = 6;
   }
     : edit_box {
     label = "Horizontal Grid Line Increment";
     key = "xs7";
     edit_width = 6;
   }
     : edit_box {
     label = "Vertical Grid Line Increment";
     key = "xs6";
     edit_width = 6;
   }
            : row {
               : text {
                label = "Grid Colour       ";
                }
                  : button {
                        label ="Colour";
                        key = "gridcolour";
                        width = 8;
                        fixed_width = true;
                        is_enabled = true;
                }
                : image_button {
                    key = "show_col";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }
            : row {
               : text {
                label = "Profile Colour   ";
                }
                  : button {
                        label ="Colour";
                        key = "procolour";
                        width = 8;
                        fixed_width = true;
                        is_enabled = true;
                }
                : image_button {
                    key = "show_col2";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }
            : row {
               : text {
                label = "Design Colour   ";
                }
                  : button {
                        label ="Colour";
                        key = "descolour";
                        width = 8;
                        fixed_width = true;
                        is_enabled = true;
                }
                : image_button {
                    key = "show_col4";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }
:row {
     : edit_box {
     label = "Elevation   Min.";
     key = "xs8";
     edit_width = 6;
   }
     : edit_box {
     label = "Max.";
     key = "xs9";
     edit_width = 6;
   }
   }
:row {
     : edit_box {
     label = "Chainage Start:";
     key = "xs10";
     edit_width = 6;
   }
     : edit_box {
     label = "End:";
     key = "xs11";
     edit_width = 6;
   }
   }



}
    :boxed_column {
     label = "Text Information";
     : edit_box {
     label = "Text Height";
     key = "xs3";
     edit_width = 6;
   }
     : edit_box {
     label = "Decimal Places [0-8]";
     key = "xs4";
     edit_width = 6;
   }
            : row {
               : text {
                label = "Text Colour   ";
                }
                  : button {
                        label ="Colour";
                        key = "txtcolour";
                        width = 8;
                        fixed_width = true;
                   is_enabled = true;
                }
                : image_button {
                    key = "show_col1";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }
 }
 ok_cancel;
}


tempbase : dialog {
   label = "EzySurf - Template Setup Information" ;
:boxed_column {
 label = "Left:                                           Right:";
:row {
     : edit_box {
     label = "Cut Slope 1:(?)";
     key = "lcut";
     edit_width = 8;
   }
     : edit_box {
     label = "Cut Slope 1:(?)";
     key = "rcut";
     edit_width = 8;
   }
   }
:row {
     : edit_box {
     label = "Fill Slope 1:(?)";
     key = "lfill";
     edit_width = 8;
   }
     : edit_box {
     label = "Fill Slope 1:(?)";
     key = "rfill";
     edit_width = 8;
   }
   }
:row {
     : edit_box {
     label = "Search Distance:";
     key = "lb-dist2";
     edit_width = 8;
   }
     : edit_box {
     label = "Search Distance:";
     key = "rb-dist2";
     edit_width = 8;
   }
   }
}
 ok_cancel;
}

croad : dialog {
   label = "EzySurf - Create Road" ;
   fixed_width = 1;
   alignment = centered;
 :boxed_column {
  :edit_box {
   label = "Road ID File Name";
   alignment = left;
   edit_width = 30;
   value = rdname;
   key = "rdname";
   }
  :edit_box {
   label = "Start Chainage";
   alignment = left;
   edit_width = 8;
   value = rdsch;
   key = "rdsch";
   }
  :edit_box {
   label = "Chainage Increment";
   alignment = left;
   edit_width = 8;
   value = rdchinc;
   key = "rdchinc";
   }

}
ok_cancel;
}              


mrdsect1 : dialog {
   label = "EzySurf - Create Road Profile" ;
    :boxed_column {
     : edit_box {
     label = "Vertical Scale";
     key = "xs1";
     edit_width = 12;
   }

     : edit_box {
     label = "Base Line Level";
     key = "xs2";
     edit_width = 12;
   }

            : row {
   : toggle {
     key = "pltns";      
     label = "Plot Natural Surface";
     is_default = true;
   }

                  : button {
                        label ="Colour";
                        key = "procolour";
                        width = 8;
                        fixed_width = true;
                        is_enabled = true;
                }
                : image_button {
                    key = "show_col1";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }

            : row {
   : toggle {
     key = "pltds";      
     label = "Plot Design Profile  ";
     is_default = true;
   }
           : button {
                    label ="Colour";
                    key = "descolour";
                    width = 8;
                    fixed_width = true;
                    is_enabled = true;
                }
                : image_button {
                    key = "show_col2";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }
     : edit_box {
     label = "V.Curve increment dist.";
     key = "xs5";
     edit_width = 12;
   }

            : row {
   : toggle {
     key = "pltgrd";      
     label = "Plot Grid                  ";
     is_default = true;
   }
                  : button {
                        label ="Colour";
                        key = "gridcolour";
                        width = 8;
                        fixed_width = true;
                        alignment = right;
                        is_enabled = true;
                }
                : image_button {
                    key = "show_col3";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }

   : toggle {
     key = "pltips";      
     label = "Plot I.P.'s";
     is_default = true;
   }
   : toggle {
     key = "plttps";      
     label = "Plot Crest / Sag Points";
     is_default = true;
   }
   : toggle {
     key = "pltnsl";      
     label = "Plot NS levels";
     is_default = true;
   }
   : toggle {
     key = "pltdsl";      
     label = "Plot Design levels";
     is_default = true;
   }
   : toggle {
     key = "pltcutl";      
     label = "Plot Cut/Fill levels";
     is_default = true;
   }
   : toggle {
     key = "pltenl";      
     label = "Plot Eastings Northings";
     is_default = true;
   }


}
    :boxed_column {
     label = "Text Information";
     : edit_box {
     label = "Text Height";
     key = "xs3";
     edit_width = 6;
   }
     : edit_box {
     label = "Decimal Places [0-8]";
     key = "xs4";
     edit_width = 2;
   }
            : row {
               : text {
                label = "Text Colour   ";
                }
                  : button {
                        label ="Colour";
                        key = "txtcolour";
                        width = 8;
                        fixed_width = true;
                   is_enabled = true;
                }
                : image_button {
                    key = "show_col4";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }

 }
 ok_cancel;
}

eip : dialog {
   label = "EzySurf - Add IP" ;
   fixed_width = 1;
   alignment = centered;
 
 :boxed_column {
 label = "IP Information";
  :edit_box {
   label = "IP chainage          ";
   alignment = left;
   edit_width = 12;
   key = "ipch";
   is_enabled = true;
   }
  :edit_box {
   label = "IP Elevation     ";
   alignment = left;
   edit_width = 12;
   key = "ipel";
   is_enabled = true;

   }
  :edit_box {
   label = "VC Length     ";
   alignment = left;
   edit_width = 12;
   key = "vcl";
   is_enabled = true;
   }
 }
ok_cancel;
}


mrdsect : dialog {
   label = "EzySurf - Create Road Profile" ;
    :boxed_column {
     : edit_box {
     label = "Vertical Scale";
     key = "xs1";
     edit_width = 12;
   }

     : edit_box {
     label = "Base Line Level";
     key = "xs2";
     edit_width = 12;
   }

            : row {
   : toggle {
     key = "pltns";      
     label = "Plot Natural Surface";
     is_default = true;
   }
                  : button {
                        label ="Colour";
                        key = "procolour";
                        width = 8;
                        fixed_width = true;
                        is_enabled = true;
                }
                : image_button {
                    key = "show_col1";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }

            : row {
   : toggle {
     key = "pltds";      
     label = "Plot Design Profile  ";
     is_default = true;
   }
           : button {
                    label ="Colour";
                    key = "descolour";
                    width = 8;
                    fixed_width = true;
                    is_enabled = true;
                }
                : image_button {
                    key = "show_col2";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }
     : edit_box {
     label = "V.Curve increment dist.";
     key = "xs5";
     edit_width = 12;
   }

            : row {
   : toggle {
     key = "pltgrd";      
     label = "Plot Grid                  ";
     is_default = true;
   }
                  : button {
                        label ="Colour";
                        key = "gridcolour";
                        width = 8;
                        fixed_width = true;
                        alignment = right;
                        is_enabled = true;
                }
                : image_button {
                    key = "show_col3";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }

   : toggle {
     key = "pltips";      
     label = "Plot I.P.'s";
     is_default = true;
   }
   : toggle {
     key = "plttps";      
     label = "Plot Crest / Sag Points";
     is_default = true;
   }
   : toggle {
     key = "pltnsl";      
     label = "Plot NS levels";
     is_default = true;
   }
   : toggle {
     key = "pltdsl";      
     label = "Plot Design levels";
     is_default = true;
   }
   : toggle {
     key = "pltcutl";      
     label = "Plot Cut/Fill levels";
     is_default = true;
   }
   : toggle {
     key = "pltenl";      
     label = "Plot Eastings Northings";
     is_default = true;
   }


}
    :boxed_column {
     label = "Text Information";
     : edit_box {
     label = "Text Height";
     key = "xs3";
     edit_width = 6;
   }
     : edit_box {
     label = "Decimal Places [0-8]";
     key = "xs4";
     edit_width = 2;
   }
            : row {
               : text {
                label = "Text Colour   ";
                }
                  : button {
                        label ="Colour";
                        key = "txtcolour";
                        width = 8;
                        fixed_width = true;
                   is_enabled = true;
                }
                : image_button {
                    key = "show_col4";
                    height = 1.5;
                    width = 4;
                    fixed_width = true;
                    is_enabled = true;
                }
           }

 }
 ok_cancel;
}

